bookman(1)

NAME
bookman - Generate a book from man pages

SYNOPSIS
bookman [-pPxn] [-o outfile] [-a author] [-d date] [-r release]
[-t title] [-v volume] [-c coverfile] [manfile]

DESCRIPTION
bookman compiles a set of man pages files specified by manfile arguments, or if no manfile is given, filenames are read from standard input.

OPTIONS

-p  PDF output format.

-P  Postscript output format.

-x  X11 previewing, using gxditview(1).

-n  no format, output is direct gtroff intermediate format.

-o outfile
    Output in file outfile. Default is standard output.

-a author
    Set the author, on the cover page.

-d date
    Set the date on the cover page.

-r release
    Set the book name and release on the cover page.

-t title
    Set the title on the cover page.

-v volume
    Specify the name of the volume.

-c coverfile
    Uses the file coverfile to generate the cover page, i.e. all pages preceding the table of content. coverfile must be in groff_ms(7) format.

ENVIRONMENT

SOURCE_DATE_EPOCH
    Unix timestamp that is used for date in header instead of current date.

EXAMPLE
To build a reference manual from section 2 man, do:

    $ cd /usr/share/man/man2
    $ bookman -p -t 'Unix Reference Manual' * >book.pdf

SEE ALSO
man(1), mandoc(7), groff_ms(7), groff(1), troff(1), grops(1), gxditview(1), ps2pdf(1).

AUTHOR
Marc Vertes <mvertes@free.fr>